#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    int n;
    string natpis;
    long long rezultat = 0;
    long long josjedanrezultat = 1;
    int temp = 1;
    bool nijeporedosledu = false;

    char prosli;
    char sadasnji;
    char najveci;

    cin >> n;

    cin >> natpis;

    prosli = natpis[0];

    najveci = natpis[0];

    for(int i=1;i<n;i++){
        //cout << "uzimamo " << natpis[i] <<endl;
        sadasnji = natpis[i];
        if(sadasnji < najveci){
                //cout << "nije po redosledu" << endl;
            nijeporedosledu = true;
        }else{

            if(sadasnji==prosli){
                //cout << "i=" << i << ", sadasnji == prosli" << endl;
                temp++;
            }else{
                //cout << "temp=" << temp << endl;
                if(temp > 1){
                    josjedanrezultat *= temp;
                    temp = 1;
                    najveci = sadasnji;
                }
            }

        }
        prosli = sadasnji;
    }

    if(temp > 1){
        //cout << "temp=" << temp << endl;
        if(temp > 1){
            josjedanrezultat *= temp;
            temp = 1;
            najveci = sadasnji;
        }
    }

    if(josjedanrezultat==0 && nijeporedosledu){
        rezultat = 1;
    }else if(josjedanrezultat==1){
        rezultat = 0;
    }else{
        rezultat = josjedanrezultat;
    }

    rezultat %= (int)pow(10,9) + 7;

    cout << rezultat << endl;
    return 0;
}